; --------------------------------
; Erzeugen einer senkrechten Linie
; --------------------------------
;
;*** Zieladresse ***********************
ORG 4000H
;*** CAOS-VORBLOCK (ohne SS) ***********
DEFM 'LINEKCC KCC' ;11 Zeichen
DEFS 5,0
DEFB 2 ;=3 mit SS-ADR
DEFW AAMAIN
DEFW EEMAIN
DEFW 0 ;nur bei SS
DEFS 105,0 ;Rest auffuellen
;*** Codebeginn ************************
AAMAIN: EQU $
;***************************************
DEFW 7F7FH
DEFM 'LINE'
DEFB 1
;
; Schleife mit Schleifenzaehler B
;
; Startwert entspricht 1. Zeile
;
LD B,0
;
; 21. Spalte ist fest
;
LD L,20
;
LOOP:
; Zeile = B und Spalte = 20
; als Cursorpos. uebergeben
;
LD H,B
LD (0B7A0H),HL
;
; Zeichen "H" ausgeben
;
LD A,'H' ; Zeichencode
CALL 0F003H
DEFB 0 ; UP Nr. 0
;
; Schleifensteuerung
; (Zeile 31 ist letzte Zeile !)
;
INC B
LD A,B
CP 32
JR C,LOOP
;
; Zurueck zum CAOS-Menu
;
RET
;
;*** Codeende **************************
EEMAIN: EQU $
;***************************************
